Subject: Re: [PATCH V8 02/13] ntp: add ADJ_SETOFFSET mode bit

From: john stultz <johnstul-r/[email-masked]>
Date: Wed, 12 Jan 2011 12:55:17 -0800

On Thu, 2011-01-13 at 05:39 +0900, Kuwahara,T. wrote:
> On Wed, Jan 12, 2011 at 5:55 AM, john stultz <johnstul-r/[email-masked]> wrote:
> > So the kernel handles leap second insertion via a timer. Thus at the end
> > of 23:59:59, it will inject a leapsecond by setting the time back by one
> > second (back to 23:59:59) and setting the TIME_OOP flag.
> >
> > This timer is an absolute timer, so if someone moves the clock forward
> > across the 23:59:59 boundary, the adjustment will still be made.
> >
> > The patch is not broken, nor useless.
> 
> It takes into account only one upcoming leap second, but ignores all
> the others.  That's not sufficient for arbitrary adjustments.

If an application wants to manage the full historical table of
leapseconds and compensate appropriately, then that's fine. The
interface proposed still functions in a reasonable manner.

Again, I agree that leapseconds are annoying to deal with. It would be
great if time() was defined as TAI time instead of UTC. I'm actually
hoping to provide a CLOCK_TAI clockid someday.

thanks
-john